package dummy

import (
	"context"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type dummyStaticRepository struct{}

// NewDummyRepository creates a new dummy static repository which will be used
// as argument to functions that you don’t care about.
func NewDummyStaticRepository() dummyStaticRepository {
	return dummyStaticRepository{}
}

func (dummyStaticRepository) Create(_ context.Context, _ domain.Static, _ string) (bool, error) {
	return false, nil
}

func (dummyStaticRepository) Get(_ context.Context, _ string) (*domain.Static, error) {
	return nil, nil
}

func (dummyStaticRepository) Delete(_ context.Context, _ string) (bool, error) {
	return false, nil
}
